# RGB PCB LIGHT

Here’s the English translation:

***

**Download Link for Fasteners:** <https://github.com/VoronDesign/Voron-Hardware/tree/master/Daylight/STL>

Klipper Configuration Instructions for GRBW LED Strips In the printer.cfg file of Klipper, locate or create a \[neopixel] section. In this section, add the following configuration:

```
[neopixel my_neopixel] # Use English brackets to enable this definition
pin: <Your GPIO Pin> # Mainboard pin definition
chain_count: 40 # Number of LEDs
color_order: GRB # Color order
initial_RED: 0.2 # Default value for red light at startup, maximum is 1
initial_GREEN: 0.2 # Default value for green light at startup, maximum is 1
initial_BLUE: 0.2 # Default value for blue light at startup, maximum is 1
```

***

Please replace `<Your GPIO Pin>` with the actual GPIO pin connected to the LED strip.\
In the `chain_count` field, enter the number of LEDs based on the LED strip you purchased (10 or 18).\
Save the file and restart the Klipper service to apply the changes. This way, you can configure it according to the type of LED strip you purchased.

Translation: "For more usage tutorials, such as breathing lights, see here:"

<https://github.com/julianschill/klipper-led_effect/blob/master/docs/LED_Effect.md>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.siboor.com/other-products/rgb-pcb-light.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
